Bug 798585 (CVE-2012-0061)

Summary: CVE-2012-0061 rpm: improper validation of header contents total size in headerLoad()
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: pinto.elia, pkis, pmatilai, rcvalle, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120403,reported=20111010,source=redhat,cvss2=7.6/AV:N/AC:H/Au:N/C:C/I:C/A:C,rhel-3/rpm=affected,rhel-4/rpm=affected,rhel-5.3.z/rpm=affected,rhel-5.6.z/rpm=affected,rhel-5/rpm=affected,rhel-6.0.z/rpm=affected,rhel-6.1.z/rpm=affected,rhel-6/rpm=affected,fedora-all/rpm=affected,cwe=CWE-228->CWE-119
Fixed In Version: rpm 4.9.1.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-07 05:56:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 785109, 785110, 785111, 785112, 785113, 785769, 785803, 785805, 785807, 785862, 809487, 830759    
Bug Blocks: 744203    
Attachments:
Description Flags
RPM 4.8.x patch
none
RPM 4.4.x patch none

Description Tomas Hoger 2012-02-29 05:31:54 EST
It was discovered that RPM did not properly validate region size in headerLoad() when loading header from an RPM file, allowing region size to exceed containing header size.  A malformed or malicious RPM file could cause RPM to crash and possibly execute arbitrary code before file signature was properly verified.

Upstream commits:
http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=472e569562d4c90d7a298080e0052856aa7fa86b
http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=858a328cd0f7d4bcd8500c78faaf00e4f8033df6
Comment 1 Tomas Hoger 2012-02-29 05:33:40 EST
Created attachment 566511 [details]
RPM 4.8.x patch
Comment 2 Tomas Hoger 2012-02-29 05:34:50 EST
Created attachment 566512 [details]
RPM 4.4.x patch
Comment 11 Tomas Hoger 2012-04-03 09:39:28 EDT
Created rpm tracking bugs for this issue

Affects: fedora-all [bug 809487]
Comment 12 Tomas Hoger 2012-04-03 10:18:35 EDT
Fixes included in upstream version 4.9.1.3:
  http://rpm.org/wiki/Releases/4.9.1.3
Comment 13 errata-xmlrpc 2012-04-03 12:51:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3 Extended Lifecycle Support
  Red Hat Enterprise Linux 5.3 Long Life
  Red Hat Enterprise Linux 5.6 EUS - Server Only
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6.0 EUS - Server Only
  Red Hat Enterprise Linux 6.1 EUS - Server Only
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2012:0451 https://rhn.redhat.com/errata/RHSA-2012-0451.html
Comment 14 Fedora Update System 2012-04-11 23:27:04 EDT
rpm-4.9.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-04-21 23:24:17 EDT
rpm-4.9.1.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-04-21 23:42:49 EDT
rpm-4.9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Vincent Danen 2013-09-26 15:10:44 EDT
Acknowledgements:

This issue was discovered by Ramon de C Valle of the Red Hat Product Security Team.